THELIA Forum

Welcome to the THELIA support and discusssion forum

Offline


Bonjour à tous,

Comme beaucoup d'entre vous, je viens de recevoir l'email de Paypal concernant la MAJ de sécurité du service.
Paypal me demande pour l'un de mes sites (utilisant le plugin Paypal Officiel pour Thelia) d'effectuer les modifications suivantes :
     - Mise à niveau du certificat SSL vers SHA-256
     - Mise à niveau vers TLS 1.2 et HTTP/1.1
     - Abandon de la méthode GET pour les API SOAP/NVP classiques

Je ne pense pas être impacter par le premier point car mon site utilise le protocole HTTP.
Par contre, pour les autres je m'interroge fortement.

Pensez-vous que la mise à niveau ou l'abandon de la méthode GET puisse poser souci avec le plugin ?

Bonne semaine à tous.

Offline


Le plugin officiel utilise NVP avec la méthode POST :

<form action="#URLFOND(index)" method="POST" id="formPaiement" name="formPaiement">

Donc pas de problème.


CQFDev | Sites, boutiques, modules, développement et intégration pour Thelia 1 et 2

Offline


Merci beaucoup pour la réponse. Je vais donc attendre la MAJ tranquillement :-)

Offline


j'utilise Paypal2 version 2,3, il n'est plus sur le site, tu sais si il passe ?

Offline

Offline


avec leurs nouvelles conditions de cryptage, je viens de me connecté sur leur site et il mon fait un pop up des nouvelles conditions de cryptage, je vais regarder ca sur mon prochain paiement